:host {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
  padding: 20px;
}

.hangman-container {
  min-width: 150px;
  display: flex;
  flex-direction: column;
  align-items: center;
  .hangman {
    width: 150px;
  }
}

.title {
  margin-bottom: 20px;
}

.game-over-message {
  height: 30px;
  font-weight: 700;
  margin-bottom: 20px;
  font-size: 1rem;

  .success {
    color: green;
  }
  .fail {
    color: red;
  }
}

.instruction {
  margin-bottom: 10px;

  &.large {
    font-size: 1rem;
  }

  &.small {
    font-size: .8125rem;
  }
}

.the-word {
  display: flex;
  gap: 5px;
  flex-direction: row;
  margin-bottom: 30px;
  flex-wrap: wrap;

  &__letter {
    width: 30px;
    min-width: 30px;
    height: 30px;
    font-size: 1.25rem;
    text-transform: uppercase;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #000000;
  }
}

.letter-selector {
  margin-bottom: 30px;
}

.action-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-top: 20px;
}
